#!/usr/bin/env python
#==============================================================================
# Copyright and license info is available in the LICENSE file included with
# the Server Deployment Package (SDP), and also available online:
# https://swarm.workshop.perforce.com/projects/perforce-software-sdp/view/main/LICENSE
#------------------------------------------------------------------------------

"""
Usage:

    keep_group_unset form-in group "/p4/common/bin/triggers/keep_group_unset.py %formfile% %user%"

This script is designed to run as a form in trigger on the server. It changes any unlimited
group values to unset.
"""

import os
import re
import sys
import random
import shutil

user = sys.argv[2]
# Exit if the perforce user is modifying the form.
if user == "perforce":
  sys.exit(0)

tempfile = str(random.random())
input = open(sys.argv[1], "r")
output = open(tempfile, "w")
admingroup = False

for line in input.readlines():
# Exit if group being modified is the admin group.
  if re.search(r"^Group:.*admin$", line):
    admingroup = True
    break
  if re.search(r"^Max.*:", line):
    line = re.sub("unlimited", "unset" , line)
  output.write(line)

input.close()
output.close()

if admingroup == False:
  os.remove(sys.argv[1])
  shutil.copy(tempfile, sys.argv[1])

os.remove(tempfile)

sys.exit(0)
